grayishスキン適用中

Cocoonフォーラム

サイト内検索
書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示高速化を無効にしてください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

何を書き込んだら良いか分からない場合は、以下のテンプレートをコピペしてご利用ください。

不具合・カスタマイズ対象ページのURL:

相談内容:

不具合の発生手順:

解決のために試したこと:

※文字だけでは正しく伝わらない可能性があるため、スクショ画像の添付もお願いします。
※高速化設定をしている場合は無効にしてください。
環境情報:

※↑こちらに「Cocoon設定 → テーマ情報」にある「環境情報」を貼り付けてください。

環境情報の取得方法はこちら。
https://wp-cocoon.com/theme-report/
高速化設定を無効にするにはこちら。
https://wp-cocoon.com/theme-trouble/

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法
  7. ブラウザ環境チェックツール
  8. Cocoonカスタマイズ依頼

フォーラム質問後、問題等が解決した場合は結果を書き込んでいただけると幸いです。同様の問題で調べている方には、結果が一番気になる部分となります。

WP6.4.1でJSがエラーとなる
 
共有:
通知
すべてクリア

[解決済] WP6.4.1でJSがエラーとなる

5 投稿
3 ユーザー
2 Likes
614 表示
chu-ya
(@chu-ya)
Famed Member Registered
結合: 2年前
投稿: 1950
Topic starter  

----------------------------------------------
テーマ名:Cocoon
バージョン:2.6.8.10
カテゴリー数:19
タグ数:149
ユーザー数:1
----------------------------------------------
●設定

高速化オフ


●現象

2.6.8.10同梱のスキンgrayishを選択
テーブルスクロールを設定すると、grayish独自のスクロールJSが追加される。
この時、以下のエラーが発生する。

Uncaught TypeError: (intermediate value)(...) is not a function

●原因

minify_jsを使い個別にJSを縮小化している。
https://github.com/xserver-inc/cocoon/blob/54f4aa9298e9664414c16c2269ba6751dfec96e8/lib/utils.php#L799

https://github.com/xserver-inc/cocoon/blob/54f4aa9298e9664414c16c2269ba6751dfec96e8/skins/skin-grayish-topfull/functions.php#L2076

図に示すよう、grayishのJS追加前の「;」が消えている?


●補足

以下でもエラーとなりました。

  • Ver.2.6.8.8
  • Ver.2.6.8.9

WP6.4.1から発生?????

私のスキンでも、独自JSをminify_jsで縮小化の後、wp_add_inline_scriptで追加しており。
WP更新後、同じ状態となり。
この為、minify_jsの縮小化せず、wp_add_inline_scriptで追加するうよう変更しました。


   
わいひら reacted
引用
(@akira)
Famed Member Registered
結合: 6年前
投稿: 1644
 

削除

This post was modified 4か月前 by Akira

   
返信引用
(@akira)
Famed Member Registered
結合: 6年前
投稿: 1644
 

WordPress のバージョンではなく、Cocoon の JS 縮小処理の変更が影響しているのだと思います。

参考:JavaScript縮小化ライブラリの変更(管理ページが縮小化される不具合修正)

plugins/minify/minify-master/src/JS.php の 424 行目 に、こんなのを追加したらエラーは解消しました。

$content = str_replace('(jQuery);', '(jQuery);;', $content);

ただ、この方法はセミコロンを削除できないのが欠点です。chu-ya さんのおっしゃるように、wp_add_inline_script() で追加する JS は minify_js() で縮小しないのが 1 番いいかもしれません。

This post was modified 4か月前 by Akira

   
わいひら reacted
返信引用
わいひら
(@yhira)
Illustrious Member Admin
結合: 6年前
投稿: 16128
 

wp_add_inline_script() で追加する JS は minify_js() を使用しないように変更しました。
https://github.com/xserver-inc/cocoon/commit/b3914efcbe45d49b71c41e25affefecd43a258c8
新しいJavaScript縮小化ライブラリーが他に何か問題があれば元に戻すこともあるかもしれません。


   
返信引用
chu-ya
(@chu-ya)
Famed Member Registered
結合: 2年前
投稿: 1950
Topic starter  

----------------------------------------------
テーマ名:Cocoon
バージョン:2.6.8.10
カテゴリー数:7
タグ数:12
ユーザー数:1
----------------------------------------------

grayishでエラーとならない事を確認しました。
本件をクローズとします。


   
返信引用
共有:

問題の解決に至った場合には、トピック冒頭の「解決済み」をクリックしていただけますと幸いです。

また、有用な回答があった場合は返信右下にある「いいね!」もご活用ください。回答者の励みになります。

「いいね!」機能はフォーラム登録者のみが利用できる機能です。

CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

最近の書き込みはこちら。

詳細なカスタマイズ依頼をするならこちら。

タイトルとURLをコピーしました